Adult Script Pro Community Forums

Create, help and share your ideas with the community!

You are not logged in.

#1 2012-09-24 01:06:55

Mitomind
Member
Registered: 2012-06-27
Posts: 166

Sphinx Installation Troubleshooting on CentOS 5.x

Tried to install Sphinx on Centos 5.8 and had some problems.  If you are running into problems, then read this post.

Got these errors

error: Failed dependencies:
libmysqlclient.so.15 is needed by sphinx-2.0.5-1.rhel5.i386
libmysqlclient.so.15(libmysqlclient_15) is needed by sphinx-2.0.5-1.rhel5.i386

So, I needed to install

wget http://mirrors.dedipower.com/www.mysql.com/Downloads/MySQL-5.5/MySQL-shared-compat-5.5.23-1.rhel5.i386.rpm

then

rpm -ivh MySQL-shared-compat-5.5.23-1.rhel5.i386.rpm

then

wget http://sphinxsearch.com/files/sphinx-2.0.5-1.rhel5.i386.rpm

then

rpm -ivh sphinx-2.0.5-1.rhel5.i386.rpm

and finally got it installed.

Offline

#2 2012-09-24 05:43:47

symtab
Administrator
Registered: 2010-08-23
Posts: 7,240
Website

Re: Sphinx Installation Troubleshooting on CentOS 5.x

I edited the title and moved your post to the Documentation forum. I hope this is not a problem, if it is, just let me know and i'll move it back :-)


Adult Scripts: Adult Script Pro - Adult Search Script
Adult Advertising/Traffic: Plug Rush - PopAds

Offline

#3 2012-09-24 20:28:04

Mitomind
Member
Registered: 2012-06-27
Posts: 166

Re: Sphinx Installation Troubleshooting on CentOS 5.x

symtab wrote:

I edited the title and moved your post to the Documentation forum. I hope this is not a problem, if it is, just let me know and i'll move it back :-)

No problem.

Offline

Board footer

Powered by FluxBB